package tvark.beans;

import tvark.jsf.JsfUtils;

public class MethodBean {
	
	public static final String METHOD_SA = "sa";
	
	public static final String METHOD_BAYES = "bayes";
	
	public static final String METHOD_MC = "mc";
	
	private String mMethod = METHOD_MC;
	
	public String getMethod() {
		return mMethod;
	}
	
	public void setMethod(String pMethod) {
		mMethod = pMethod;		
	}
	
	public String set() {
		if (METHOD_SA.equals(mMethod)) {
			return JsfUtils.Outcome.PARAMETERS_SA;
		} else if (METHOD_BAYES.equals(mMethod)) {
			return JsfUtils.Outcome.PARAMETERS_BAYES;
		} else if (METHOD_MC.equals(mMethod)) {
			return JsfUtils.Outcome.PARAMETERS_MC;
		} else {
			return null;
		}
	}
}
